/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// dialog.cpp                                                              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#include "griddll.h"                                      

DEFINE_RESPONSE_TABLE1 (TGDialog,TDialog)
   EV_WM_CTLCOLOR,
END_RESPONSE_TABLE;


TGDialog::TGDialog (TWindow *p, TResId resId, TColor b, TModule *module)
        : TDialog (p, resId, module)
   {
   brush = CreateSolidBrush (COLORREF(b));
   bkg = b;
   }


TGDialog::~TGDialog ()
   {
   DeleteObject (brush);
   }

   
HBRUSH TGDialog::EvCtlColor(HDC hDC, HWND hWndChild, UINT)
   {
   TWindow *wptr = GetWindowPtr (hWndChild);

   if (dynamic_cast<TGDialog *>(wptr))
      return dynamic_cast<TGDialog *>(wptr)->CtlColors (hDC);
   if (dynamic_cast<TGEdit *>(wptr))
      return dynamic_cast<TGEdit *>(wptr)->CtlColors (hDC);
   if (dynamic_cast<TGComboBox *>(wptr))
      return dynamic_cast<TGComboBox *>(wptr)->CtlColors (hDC);
   if (dynamic_cast<TGStatic *>(wptr))
      return dynamic_cast<TGStatic *>(wptr)->CtlColors (hDC);
   if (dynamic_cast<TGCheckBox *>(wptr))
      return dynamic_cast<TGCheckBox *>(wptr)->CtlColors (hDC);

   return 0;
   }


// Called by EvCtlColor (HDC, HWND, CTLCOLOR_DLG)
// sets background color and returns brush
HBRUSH TGDialog::CtlColors (HDC hDC)
   {
   TDC dc(hDC);
   dc.SetBkColor (bkg);
   return brush;
   }


// Sets background color 
void TGDialog::SetColor (TColor b)
   {
   bkg = b;
   DeleteObject (brush);
   brush = CreateSolidBrush (COLORREF(bkg));
   }

// EOF
