/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridbtn.cpp                                                             //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#include "griddll.h"


DEFINE_RESPONSE_TABLE1 (TGButton, TButton)
   EV_WM_KEYUP,
   EV_WM_KEYDOWN,
   EV_WM_GETDLGCODE,
   EV_WM_SETFOCUS,
END_RESPONSE_TABLE;

TGButton::TGButton (TWindow *p, int id, TModule *module)
        : TButton (p, id, module)
   {
   grid = 0;
   }

TGButton::TGButton (TWindow *p, int id, char *text, int x, int y,
                    int w, int h, BOOL isdefault, TModule *module)
        : TButton (p, id, text, x, y, w, h, isdefault, module)
   {
   grid = 0;
   }

GRID_EV_SETFOCUS(TGButton, TButton)
GRID_EV_GETDLGCODE(TGButton,TButton)
GRID_EV_KEYUP_BUTTON(TGButton,TButton)
GRID_EV_KEYDOWN_BUTTON(TGButton,TButton)


BOOL TGButton::PreProcessMsg (MSG &msg)
   {
   if (grid &&
       msg.message == WM_KEYDOWN &&
       msg.wParam == VK_ESCAPE   &&
       grid->KeyDown (msg.wParam, LOWORD(msg.lParam)) )
       return TRUE;

   return TButton::PreProcessMsg (msg);
   }


void TGButton::DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align)
   {
   TColor bkg (GetSysColor (COLOR_BTNFACE));
   TColor text (GetSysColor (COLOR_BTNTEXT));

   dc.SelectObject (TBrush (bkg));
   dc.SelectObject (TPen (text));
   dc.Rectangle (rc);
   dc.RestorePen ();
   dc.RestoreBrush ();

   if (p && *p)
      {
      dc.SetBkColor (bkg);
      dc.SetTextColor (text);
      dc.DrawText (p, -1, rc, DT_CENTER|DT_VCENTER|DT_SINGLELINE);
      }

   int x0 = rc.left+1;
   int y0 = rc.top+1;
   int x1 = rc.right-2;
   int y1 = rc.bottom-2;
   Frame3d (dc, x0, y0, x1, y1, 2,
            GetSysColor (COLOR_BTNHIGHLIGHT), GetSysColor (COLOR_BTNSHADOW));
   }

// EOF
