/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridbtn.h                                                               //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef GRIDBTN_H
#define GRIDBTN_H

class _GRIDCLASS TGButton : public TButton
   {
   friend TGrid;

   protected:
      TGrid *grid;

      virtual void DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align align = TGrid::Left);
      virtual UINT EvGetDlgCode (MSG far *msg);
      virtual void EvKeyDown (UINT key, UINT repeat, UINT flags);
      virtual void EvKeyUp (UINT key, UINT repeat, UINT flags);
      virtual void EvSetFocus (HWND hWndLostFocus);                     
      virtual BOOL PreProcessMsg (MSG &msg);

   public:
      TGButton (TWindow *p, int id, TModule *module = 0);
      TGButton (TWindow *p, int id, char *text, int x, int y, int w, int h, BOOL isdefault = FALSE, TModule *module = 0);

      virtual int Height () { return Attr.H; }     
      virtual int  Width () { return Attr.W; }     

      DECLARE_RESPONSE_TABLE (TGButton);
   };

#endif

// EOF
