/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridcbox.h                                                              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////


#ifndef GRIDCBOX_H
#define GRIDCBOX_H

class _GRIDCLASS TGComboBox : public TComboBox
   {
   friend TGrid;

   HEADER_COLORS;

   protected:
      TColor activeBG;
      TColor selectedFG;
      TGrid *grid;
      HWND hEdit;

      virtual void DrawCBItem    (DRAWITEMSTRUCT &info);
      virtual void DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align align = TGrid::Left);  
      virtual HBRUSH EvCtlColor  (HDC hDC, HWND hWndChild, UINT);         
      virtual UINT EvGetDlgCode  (MSG far *msg);
      virtual void EvKeyDown     (UINT key, UINT repeat, UINT flags);
      virtual void EvKeyUp       (UINT key, UINT repeat, UINT flags);
      virtual void EvSetFocus    (HWND hWndLostFocus);                    
      virtual void InitDraw      (DRAWITEMSTRUCT &info, TDC &dc, char * &p, TRect &rect);
      virtual void MeasureItem   (MEASUREITEMSTRUCT &info);
      virtual void ODADrawEntire (DRAWITEMSTRUCT &info);
      virtual void ODASelect     (DRAWITEMSTRUCT &info);
      virtual BOOL PreProcessMsg (MSG &msg);
      virtual void SetupWindow   ();

   public:
      TGComboBox (TWindow *p, int resid, UINT textlen = 0, TModule *module = 0);
      TGComboBox (TWindow *p, int resid, int x, int y, int w, int h, DWORD style, UINT textlen = 0, TModule *module = 0);
     ~TGComboBox ();

      virtual int Height ();                                            
      virtual int  Width () { return Attr.W; }                          

      DECLARE_RESPONSE_TABLE (TGComboBox);
   };

#endif

// EOF
