/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridckbx.h                                                              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////


#ifndef GRIDCKBX_H
#define GRIDCKBX_H

class _GRIDCLASS TGCheckBox : public TCheckBox
   {
   friend TGrid;

   HEADER_COLORS;

   protected:
      TGrid *grid;

      virtual void DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align align = TGrid::Left);  
      virtual UINT EvGetDlgCode (MSG far *msg);
      virtual void EvKeyDown (UINT key, UINT repeat, UINT flags);
      virtual void EvKeyUp (UINT key, UINT repeat, UINT flags);
      virtual void EvSetFocus (HWND hWndLostFocus);                     
      virtual BOOL PreProcessMsg (MSG &msg);

   public:
      TGCheckBox (TWindow *p, UINT id, TGroupBox *group = 0, TModule *module = 0);
      TGCheckBox (TWindow *p, UINT id, char *title, int x, int y, int w, int h, TGroupBox *group = 0, TModule *module = 0);
     ~TGCheckBox ();

      virtual int Height () { return Attr.H; }  
      virtual int  Width () { return Attr.W; }  

      DECLARE_RESPONSE_TABLE (TGCheckBox);
   };

#endif

// EOF
