/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridedit.cpp                                                            //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#include "griddll.h"

DEFINE_RESPONSE_TABLE1 (TGEdit, TEdit)
   EV_WM_GETDLGCODE,
   EV_WM_KEYUP,
   EV_WM_KEYDOWN,
   EV_WM_SETFOCUS,
END_RESPONSE_TABLE;

TGEdit::TGEdit (TWindow* parent, int Id, const char far *txt, int x, int y, int w, int h, UINT textLen,
                BOOL multiline, TModule* module)
      : TEdit (parent, Id, txt, x, y, w, h, textLen, multiline, module)
   {
   grid = 0;
   bkg   = GetSysColor (COLOR_WINDOW);
   brush = CreateSolidBrush (bkg);
   text  = GetSysColor (COLOR_WINDOWTEXT);
   }


TGEdit::TGEdit (TWindow *parent, UINT resourceID, UINT textLen, TModule *module)
      : TEdit (parent, resourceID, textLen, module)
   {
   grid = 0;
   bkg   = GetSysColor (COLOR_WINDOW);
   brush = CreateSolidBrush (bkg);
   text  = GetSysColor (COLOR_WINDOWTEXT);
   }


TGEdit::~TGEdit ()
   {
   DeleteObject (brush);
   }

GRID_EV_SETFOCUS(TGEdit, TEdit)
GRID_EV_GETDLGCODE(TGEdit, TEdit)
GRID_EV_KEYUP(TGEdit,TEdit)
GRID_EV_KEYDOWN(TGEdit,TEdit)
CODE_COLORS(TGEdit)


void TGEdit::DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align align)
   {
   dc.SetTextColor (text);
   dc.SetBkColor   (bkg);
   dc.FillRect (rc, brush);

   if (p && *p)
      dc.DrawText (p, -1, rc, (WORD)(align|DT_NOPREFIX));
   }

// EOF
