/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridedit.h                                                              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef GRIDEDIT_H
#define GRIDEDIT_H

class _GRIDCLASS TGEdit : public TEdit
   {
   friend TGrid;

   HEADER_COLORS;

   protected:
      TGrid *grid;

      virtual void DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align align = TGrid::Left);   
      virtual UINT EvGetDlgCode (MSG far *msg);
      virtual void EvKeyDown (UINT key, UINT repeat, UINT flags);
      virtual void EvKeyUp (UINT key, UINT repeat, UINT flags);
      virtual void EvSetFocus (HWND hWndLostFocus);                     


   public:
      TGEdit (TWindow* parent, int Id, const char far *text, int x, int y, int w, int h, UINT textLen = 0,
              BOOL multiline = FALSE, TModule* module = 0);
      TGEdit (TWindow *parent, UINT resourceID, UINT textLen = 0, TModule *module = 0);
     ~TGEdit ();

      virtual int Height () { return Attr.H; }                          
      virtual int  Width () { return Attr.W; }                          

      DECLARE_RESPONSE_TABLE (TGEdit);
   };

#endif

// EOF

