/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridstat.cpp                                                            //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#include "griddll.h"

TGStatic::TGStatic (TWindow *p, int id, int textlen, TModule *module)
        : TStatic (p, id, textlen, module)
   {
   bkg   = GetSysColor (COLOR_WINDOW);
   text  = GetSysColor (COLOR_WINDOWTEXT);
   brush = CreateSolidBrush (bkg);
   }

   
TGStatic::TGStatic (TWindow *p, int id, char *title, int x, int y, int w, int h, int textlen, TModule *module)
        : TStatic (p, id, title, x, y, w, h, textlen, module)
   {
   bkg   = GetSysColor (COLOR_WINDOW);
   text  = GetSysColor (COLOR_WINDOWTEXT);
   brush = CreateSolidBrush (bkg);
   }


TGStatic::~TGStatic ()
   {
   DeleteObject (brush);
   }


CODE_COLORS(TGStatic)


void TGStatic::DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align align)
   {
   dc.SetTextColor (text);
   dc.SetBkColor   (bkg);
   dc.FillRect (rc, brush);

   if (p && *p)
      dc.DrawText (p, -1, rc, (WORD)(align|DT_NOPREFIX|DT_WORDBREAK));
   }

// EOF
