/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// test.h                                                                  //
// Test program                                                            //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////


#ifndef __OWL_PRINTER_H
#include <owl/printer.h>
#endif

// class Application                                                        *
class Application : public TApplication
   {
   public:
      Application () : TApplication () {}
      void InitMainWindow ();
   };

#define MAXLINE 50
class Data
   {
   public:
      char str[31];
      char str2[31];
      char stat[31];
      char combo[16];
      BOOL chk;

      Data () : chk(FALSE) { *str = 0; *str2 = 0; *stat = 0; *combo = 0; }
      void Init (char *s, char *s2, char *st, BOOL b, char *c)
         {
         strcpy (str, s);
         strcpy (str2, s2);
         strcpy (stat, st);
         chk = b;
         strcpy (combo, c);
         }
   };

class TestGrid : public TGrid
   {
   protected:
      virtual char *TransferItem (int line, int id);
      virtual void TransferItem (int line, int id, const char *data);
      virtual BOOL AppendNewLine (int &newline);
      virtual BOOL InsertLine (int line);
      virtual BOOL DeleteLine (int line);
      virtual void CalcPos ();

   public:
      Data data[MAXLINE];
      TestGrid (TWindow *p);
     ~TestGrid ();
   };

class Test : public TGDialog
   {
   protected:
      TestGrid    *grid;
      TGEdit      *s1, *s6;
      TGStatic    *s2;
      TGCheckBox  *s3;
      TGButton    *s4;
      TGComboBox  *s5;
      TButton *ok, *esc, *test;
      void EvWindowPosChanged (WINDOWPOS far &wpos);
      void SetupWindow ();
      void TestRefresh ();

   public:
      Test (TWindow *p);

      DECLARE_RESPONSE_TABLE (Test);
   };


class DatePrintout : public TPrintout
   {
   private:
      int step;
      TRect rc;
      int h, lh, margin, w;
      BOOL printing;
      void Out (string &s, int st);
      void Out (const char *s, int st);

   public:
      DatePrintout () : TPrintout ("GDate test") { step = 0; printing = TRUE; }
      BOOL HasPage (int) { return printing; }
      void PrintPage (int, TRect &, unsigned);
   };

// EOF

